struct Habitacion
{
   int NumHabita;
   bool fumador; //true es fumador
   int tipo; //1.-sencilla 2.-doble 3.-suite
   float precio; //de habitacion
   bool ocupada; //true es ocupada
};



class ListaH
{
  public:
     typedef Habitacion Valor;
     ListaH (void);
     ListaH (const ListaH &);
     ~ListaH (void);
     bool Insertar (Valor x);
     bool Eliminar (void);
     bool Consulta (Valor & x);
     bool ListaVacia (void);
     void IrAInicio (void);
     bool Avanzar (void);
     bool FinalLista (void);

  private:
     struct Nodo;
     typedef Nodo * Puntero;

     struct Nodo
     {
        Valor Info;
        Puntero Sig;
     };     
         
     Puntero ini; //Puntero al inicio
     Puntero fin;  //Puntero al final
     Puntero pto; // Punto de interes

     void Copiar (Puntero & des, Puntero ori);
     void PonerPtoInteres(ListaH &list);
     void PonerFin (void);
};

