#include <string>

struct fecha
{
   int dia;
   int mes;
   int anyo;
};

struct Reserva
{
   int NumReserva;
   int NumHabitaR;
   fecha entrada;
   fecha salida;
   string nombre;
};



class ListaR
{
  public:
     typedef Reserva ValorR;
     ListaR (void);
     ListaR (const ListaR &);
     ~ListaR (void);
     bool Insertar (ValorR x);
     bool Eliminar (void);
     bool Consulta (ValorR & x);
     bool ListaVacia (void);
     void IrAInicio (void);
     bool Avanzar (void);
     bool FinalLista (void);

  private:
     
     struct Nodo1;
     typedef Nodo1 * Puntero1;

     struct Nodo1
     {
      ValorR Info;
      Puntero1 Sig;
     };
     
     Puntero1 ini; //Puntero al inicio
     Puntero1 fin;  //Puntero al final
     Puntero1 pto; // Punto de interes

     void Copiar (Puntero1 & des, Puntero1 ori);
     void PonerPtoInteres(ListaR &list);
     void PonerFin (void);
};

